#include <fstream>

using namespace std;
ifstream f1("SLU.INP");
    ofstream f2("SLU.OUT");
int f[100000];
int main()
{int n,i=2,r=1;
f1>>n;
while (n>0)
{ if (n%i==0)
 {
     f[i]++;
     n=n/i;
 }
 else {r=r*(f[i]+1); if (i*i<=n) i++; else if (n!=1) {r=r*2; break;} else break;}
}
f2<<r;
}
